﻿Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim value As Integer = 1

        C1FlexGrid1.Rows.Count = 25
        C1FlexGrid1.Cols.Count = 10

        'Sample Data
        For i As Integer = 1 To C1FlexGrid1.Rows.Count - 1
            For j As Integer = 1 To C1FlexGrid1.Cols.Count - 1
                C1FlexGrid1(i, j) = value
                value += 1
            Next
        Next

        Dim cs As C1.Win.C1FlexGrid.CellStyle = C1FlexGrid1.Styles.Add("DivBy5")
        cs.BackColor = Color.Red

        For i As Integer = 1 To C1FlexGrid1.Rows.Count - 1
            For j As Integer = 1 To C1FlexGrid1.Cols.Count - 1
                If Convert.ToInt32(C1FlexGrid1(i, j)) Mod 5 = 0 Then
                    'Assigning Red BackColor to values which are divisible by 5
                    C1FlexGrid1.SetCellStyle(i, j, cs)
                End If
            Next
        Next

        'SelectionMode set to Row
        C1FlexGrid1.SelectionMode = C1.Win.C1FlexGrid.SelectionModeEnum.Row
        ' turn OwnerDraw mode on
        C1FlexGrid1.DrawMode = C1.Win.C1FlexGrid.DrawModeEnum.OwnerDraw
    End Sub

    Private Sub C1FlexGrid1_OwnerDrawCell(ByVal sender As System.Object, ByVal e As C1.Win.C1FlexGrid.OwnerDrawCellEventArgs) Handles C1FlexGrid1.OwnerDrawCell
        For j As Integer = 1 To C1FlexGrid1.Cols.Count - 2
            If C1FlexGrid1.GetCellStyle(e.Row, e.Col) IsNot Nothing Then
                If C1FlexGrid1.GetCellStyle(e.Row, e.Col).Name = "DivBy5" Then
                    e.Style = C1FlexGrid1.Styles("DivBy5")
                End If
            End If
        Next
    End Sub
End Class
